# Class TCefFastV8Interceptor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8Interceptor

## Declaration

`type TCefFastV8Interceptor = class(TCefV8InterceptorOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefV8InterceptorOwn
- TCefFastV8Interceptor

## Overview

### Fields

| `FGetterByName: TCefV8InterceptorGetterByNameProc;`
| `FSetterByName: TCefV8InterceptorSetterByNameProc;`
| `FGetterByIndex: TCefV8InterceptorGetterByIndexProc;`
| `FSetterByIndex: TCefV8InterceptorSetterByIndexProc;`

### Methods

| `function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;`
| `function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;`
| `function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; override;`
| `function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; override;`
| `constructor Create(const getterbyname : TCefV8InterceptorGetterByNameProc; const setterbyname : TCefV8InterceptorSetterByNameProc; const getterbyindex : TCefV8InterceptorGetterByIndexProc; const setterbyindex : TCefV8InterceptorSetterByIndexProc); reintroduce;`

## Description

### Fields

| `FGetterByName: TCefV8InterceptorGetterByNameProc;`
This item has no description.

| `FSetterByName: TCefV8InterceptorSetterByNameProc;`
This item has no description.

| `FGetterByIndex: TCefV8InterceptorGetterByIndexProc;`
This item has no description.

| `FSetterByIndex: TCefV8InterceptorSetterByIndexProc;`
This item has no description.

### Methods

| `function GetByName(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;`
This item has no description. Showing description inherited from ICefV8Interceptor.GetByName. Handle retrieval of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. If the property has an associated accessor, it will be called only if you don't set |retval|. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

| `function GetByIndex(index: integer; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): boolean; override;`
This item has no description. Showing description inherited from ICefV8Interceptor.GetByIndex. Handle retrieval of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. If retrieval succeeds, set |retval| to the return value. If the requested value does not exist, don't set either |retval| or |exception|. If retrieval fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor retrieval was handled, false (0) otherwise.

| `function SetByName(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): boolean; override;`
This item has no description. Showing description inherited from ICefV8Interceptor.SetByName. Handle assignment of the interceptor value identified by |name|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. This setter will always be called, even when the property has an associated accessor. Return true (1) if interceptor assignment was handled, false (0) otherwise.

| `function SetByIndex(index: integer; const object_, value: ICefv8Value; var exception: ustring): boolean; override;`
This item has no description. Showing description inherited from ICefV8Interceptor.SetByIndex. Handle assignment of the interceptor value identified by |index|. |object| is the receiver ('this' object) of the interceptor. |value| is the new value being assigned to the interceptor. If assignment fails, set |exception| to the exception that will be thrown. Return true (1) if interceptor assignment was handled, false (0) otherwise.

| `constructor Create(const getterbyname : TCefV8InterceptorGetterByNameProc; const setterbyname : TCefV8InterceptorSetterByNameProc; const getterbyindex : TCefV8InterceptorGetterByIndexProc; const setterbyindex : TCefV8InterceptorSetterByIndexProc); reintroduce;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.